/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * Angle.hpp
 *
 *  Created on: 2010/11/08
 *      Author: HARK Development Team
 */

#ifndef ANGLE_HPP_
#define ANGLE_HPP_

#include <DimensionPromise/types/Angle.hpp>

namespace NSHarkBinaural
{

/**
 * 角度に関連する定数.
 */
struct Angles
{
    static const NSDimensionPromise::Angle AnglePi;
    static const NSDimensionPromise::Angle AnglePi2;
    static const NSDimensionPromise::Angle AnglePi4;
    static const NSDimensionPromise::Angle Angle1Pi;
    static const NSDimensionPromise::Angle Angle2Pi;
    static const NSDimensionPromise::Angle Angle2SqrtPi;
    static const NSDimensionPromise::Angle Zero;
};

}

#endif /* ANGLE_HPP_ */
